Subject: [PATCH 07/14] mfd: Initialise the AB8500 driver at core_initcall time

From: [email-masked] (Lee Jones)
Date: Tue, 12 Jun 2012 09:13:52 +0100

On 11/06/12 22:03, Linus Walleij wrote:
> On Mon, Jun 11, 2012 at 5:25 PM, Lee Jones<[email-masked]>  wrote:
>
>> The AB8500 is soon to have its own IRQ domain. For this to be useful
>> the driver needs to be initialised earlier in the boot sequence. Here
>> we move initialisation forward from arch_initcall to core_initcall time.
>
> I don't understand why using IRQ domain makes it necessary to
> initialize the driver earlier in the init process. Please explain to me,
> I need tutoring here.

Perhaps I need to invest some time into deferring each user's probe()s 
instead. Leave it with me I'll do some investigation.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog